# RestoresApi

## RestoresApi

All URIs are relative to *<https://api.ionos.com/databases/mongodb>*

| Method                                          | HTTP request                           | Description                   |
| ----------------------------------------------- | -------------------------------------- | ----------------------------- |
| [**clustersRestorePost**](#clustersrestorepost) | **POST** /clusters/{clusterId}/restore | In-place restore of a cluster |

## **clustersRestorePost**

> clustersRestorePost(clusterId, createRestoreRequest)

In-place restore of a cluster

Triggers an in-place restore of the given MongoDB cluster.

#### Example

```java
// Import classes:
import com.ionoscloud.dbaasmongo.ApiClient;
import com.ionoscloud.dbaasmongo.ApiException;
import com.ionoscloud.dbaasmongo.Configuration;
import com.ionoscloud.dbaasmongo.auth.*;
import com.ionoscloud.dbaasmongo.model.*;
import com.ionoscloud.dbaasmongo.api.RestoresApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    
    // Configure HTTP basic authorization: basicAuth
    HttpBasicAuth basicAuthentication = (HttpBasicAuth) defaultClient.getAuthentication("basicAuth");
    basicAuthentication.setUsername("YOUR USERNAME");
    basicAuthentication.setPassword("YOUR PASSWORD");


    RestoresApi apiInstance = new RestoresApi(defaultClient);
    String clusterId = "clusterId_example"; // String | The unique ID of the cluster.
    CreateRestoreRequest createRestoreRequest = new CreateRestoreRequest(); // CreateRestoreRequest | The restore request to create.
    try {
      apiInstance.clustersRestorePost(clusterId, createRestoreRequest);
    } catch (ApiException e) {
      System.err.println("Exception when calling RestoresApi#clustersRestorePost");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

⚠️ **Note**: for the example above, you need to provide all parameters to the method call. Null values will resolve to the API defaults.

#### Parameters

| Name                     | Type                                                                         | Description                    | Notes |
| ------------------------ | ---------------------------------------------------------------------------- | ------------------------------ | ----- |
| **clusterId**            | **String**                                                                   | The unique ID of the cluster.  |       |
| **createRestoreRequest** | [**CreateRestoreRequest**](/mongodb-sdk-java/models/createrestorerequest.md) | The restore request to create. |       |

#### Return type

null (empty response body)

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/mongodb-sdk-java/api/restoresapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
